module ConfigStore
	module AccountAPIMethods

		def list_accounts
			return with_response_handling do
				self.class.get("/accounts", @options)
			end
		end

		def get_account(account_uuid)
			return with_response_handling do
				self.class.get("/accounts/#{account_uuid}", @options)
			end
		end

		def create_account
			return with_response_handling do
				self.class.post("/accounts", @options)
			end
		end

		def delete_account(account_uuid)
			return with_response_handling do
				self.class.delete("/accounts/#{account_uuid}", @options)
			end
		end

	end
end
