module ConfigStore
	module NamespaceAPIMethods

		def list_namespaces
			return with_response_handling do
				self.class.get("/namespaces", @options)
			end
		end

		def get_namespace(namespace_uuid)
			return with_response_handling do
				self.class.get("/namespaces/#{namespace_uuid}", @options)
			end
		end

		def create_namespace(namespace_hash)
			options = {body: namespace_hash.to_json}
			options = options.merge(@options)
			return with_response_handling do
				self.class.post("/namespaces", options)
			end
		end

		def update_namespace(namespace_uuid, namespace_hash)
			options = {body: namespace_hash.to_json}
			options = options.merge(@options)
			return with_response_handling do
				self.class.put("/namespaces/#{namespace_uuid}", options)
			end
		end

		def delete_namespace(namespace_uuid)
			return with_response_handling do
				self.class.delete("/namespaces/#{namespace_uuid}", @options)
			end
		end

	end
end
