require 'cgi'

module ConfigStore
	module RecordAPIMethods
		def list_records(namespace_uuid)
			return with_response_handling do
				self.class.get("/namespaces/#{namespace_uuid}/records", @options)
			end
		end

		def get_record(namespace_uuid, record_key)
			return with_response_handling do
				self.class.get("/namespaces/#{namespace_uuid}/records/#{CGI.escape(record_key)}", @options)
			end
		end

		def create_record(namespace_uuid, record_hash)
			options = {body: record_hash.to_json}
			options = options.merge(@options)
			return with_response_handling do
				self.class.post("/namespaces/#{namespace_uuid}/records", options)
			end
		end

		def update_record(namespace_uuid, record_key, record_hash)
			options = {body: record_hash.to_json}
			options = options.merge(@options)
			return with_response_handling do
				self.class.put("/namespaces/#{namespace_uuid}/records/#{CGI.escape(record_key)}", options)
			end
		end

		def delete_record(namespace_uuid, record_key)
			return with_response_handling do
				self.class.delete("/namespaces/#{namespace_uuid}/records/#{CGI.escape(record_key)}", @options)
			end
		end

	end
end
