module ConfigStore
	module TokenAPIMethods

		def list_tokens
			return with_response_handling do
				self.class.get("/tokens", @options)
			end
		end

		def get_token(token_uuid)
			return with_response_handling do
				self.class.get("/tokens/#{token_uuid}", @options)
			end
		end

		def create_token(token_hash)
			options = {body: token_hash.to_json}
			options = options.merge(@options)
			return with_response_handling do
				self.class.post("/tokens", options)
			end
		end

		def update_token(token_uuid, token_hash)
			options = {body: token_hash.to_json}
			options = options.merge(@options)
			return with_response_handling do
				self.class.put("/tokens/#{token_uuid}", options)
			end
		end

		def delete_token(token_uuid)
			return with_response_handling do
				self.class.delete("/tokens/#{token_uuid}", @options)
			end
		end

	end
end
