module ConfigStore
	module AccountClientMethods

		def list_accounts
			return @api.list_accounts.map do |raw_account|
				next(ConfigStore::Account.from_api_hash(raw_account))
			end
		end

		def get_account(account_uuid)
			return ConfigStore::Account.from_api_hash(@api.get_account(account_uuid))
		end

		def create_account
			raw_result = @api.create_account
			return ConfigStore::Account.from_api_hash(raw_result["account"]), ConfigStore::Token.from_api_hash(raw_result["token"])
		end

		def delete_account(account_uuid)
			return @api.delete_account(account_uuid)
		end

	end
end
