module ConfigStore
	module NamespaceClientMethods

		def list_namespaces
			return @api.list_namespaces.map do |raw_namespace|
				next(ConfigStore::Namespace.from_api_hash(raw_namespace))
			end
		end

		def get_namespace(namespace_uuid)
			return ConfigStore::Namespace.from_api_hash(@api.get_namespace(namespace_uuid))
		end

		def create_namespace(namespace)
			return ConfigStore::Namespace.from_api_hash(@api.create_namespace(namespace.to_api_hash))
		end

		def update_namespace(namespace_uuid, namespace)
			return ConfigStore::Namespace.from_api_hash(@api.update_namespace(namespace_uuid, namespace.to_api_hash))
		end

		def delete_namespace(namespace_uuid)
			return @api.delete_namespace(namespace_uuid)
		end

	end
end
