module ConfigStore
	module RecordClientMethods

		def list_records(namespace_uuid)
			return @api.list_records(namespace_uuid).map do |raw_record|
				next(ConfigStore::Record.from_api_hash(raw_record))
			end
		end

		def get_record(namespace_uuid, record_key)
			return ConfigStore::Record.from_api_hash(@api.get_record(namespace_uuid, record_key))
		end

		def create_record(namespace_uuid, record)
			return ConfigStore::Record.from_api_hash(@api.create_record(namespace_uuid, record.to_api_hash))
		end

		def update_record(namespace_uuid, record_key, record)
			return ConfigStore::Record.from_api_hash(@api.update_record(namespace_uuid, record_key, record.to_api_hash))
		end

		def delete_record(namespace_uuid, record_key)
			return @api.delete_record(namespace_uuid, record_key)
		end

	end
end
