module ConfigStore
	module TokenClientMethods

		def list_tokens
			return @api.list_tokens.map do |raw_token|
				next(ConfigStore::Token.from_api_hash(raw_token))
			end
		end

		def get_token(token_uuid)
			return ConfigStore::Token.from_api_hash(@api.get_token(token_uuid))
		end

		def create_token(token)
			return ConfigStore::Token.from_api_hash(@api.create_token(token.to_api_hash))
		end

		def update_token(token_uuid, token)
			return ConfigStore::Token.from_api_hash(@api.update_token(token_uuid, token.to_api_hash))
		end

		def delete_token(token_uuid)
			return @api.delete_token(token_uuid)
		end

	end
end
