module ConfigStore
	class Error < StandardError; end
	class Timeout < Error; end;
	class HTTPError < Error
		attr_reader :status_code, :response

		def initialize(status_code:, response:, message: nil)
			@status_code = status_code
			@response = response
			@message = message
			@default_message = "ConfigStore API request failed with HTTP status code #{status_code}"
		end

		def to_s
			return @message || @default_message
		end
	end
end
